/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */

package ChatProgramm.controller.commands;

import ChatProgramm.controller.Nachricht;
import ChatProgramm.model.Client;
import ChatProgramm.model.Server;
import ChatProgramm.model.Transmitter;
import ChatProgramm.util.OhmLogger;
import ChatProgramm.view.ChatView;
import java.util.logging.Logger;
import javax.swing.JTextField;

/**
 *
 * @author ahren
 */
public class CommandSend implements CommandInterface
{
    private static Logger lg = OhmLogger.getLogger();
    
    private ChatView view;
    private JTextField eingabeFeld;
    
    public Server server;
    public Client client;
    
  public CommandSend(ChatView view)
  {
      this.view = view;
      this.eingabeFeld = view.getTfNachricht();
  }

  @Override
  public void execute()
  {
      //Transmitter.send(new Nachricht(eingabeFeld.getText()));
      lg.info("Sende Nachricht");
  }

  @Override
  public boolean isUndoable()
  {
    return false;
  }

  @Override
  public void undo()
  {
  }
}
