/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Main.java to edit this template
 */
package ChatProgramm.model;

import ChatProgramm.controller.Nachricht;
import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.io.OutputStream;
import java.io.OutputStreamWriter;
import java.io.PrintWriter;
import java.io.UnsupportedEncodingException;
import java.net.ServerSocket;
import java.net.Socket;
import java.util.logging.*;

/**
 * Builder Class
 *
 * @author le
 */
public class Client extends Transmitter {

    private static Logger lg = Logger.getLogger("netz");


    public Client() throws IOException {
        connect();
        initIO();

//        out.println("Hallo Du Server - ich bin ein Client");
//        out.flush();
//
//        lg.info("Client: warte auf Serverantwort");
//
//        String nachricht = in.readLine(); // ACHTUNG blockiert
//        lg.info("Client: Serverbestätigung erhalten");
//
//        lg.info("Client: fertig");
//        in.close();
//        out.close();
//        s.close();
    }

    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) {
        try {
            new Client();
        } catch (IOException ex) {
            Logger.getLogger(Client.class.getName()).log(Level.SEVERE, null, ex);
        }
    }

    @Override
    public void connect() throws IOException {
        try {
            lg.info("Client: Verbindung wird aufgebaut");
            socket = new Socket(IP, PORT);
            lg.info("Client: Verbindung aufgebaut");

        } catch (java.io.InterruptedIOException e) {
            lg.warning("Timeout" + "(" + timeout / 1000 + "s)");
        }
    }
    

}
